Market Radar API
API referenceCustom sources

Edit a custom source

Any of name, address. Every radar searching it uses the new details from its next sweep. No sweep starts.

PATCH
/custom-sources/{id}

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Path Parameters

id*integer
Range0 < value <= 9007199254740991

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/custom-sources/1" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 1,  "kind": "website",  "name": "string",  "address": "string",  "groups": [    {      "id": 1,      "name": "string"    }  ],  "radar_ids": [    1  ],  "created_at": "2019-08-24T14:15:22Z"}